<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('users', function (Blueprint $table) {
            $table->id();

            $table->string('name'); // nama user
            $table->string('email')->unique(); // email login
            $table->timestamp('email_verified_at')->nullable();

            $table->string('password')->nullable();
            // nullable supaya bisa dipakai login Google nanti

            $table->string('google_id')->nullable();
            // untuk login Google

            $table->string('avatar')->nullable();
            // foto profil dari Google

            $table->rememberToken();
            // untuk fitur "ingat saya"

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('users');
    }
};
